/*
 ******************************************************************************************
 *
 * 	Copyright (C) 2014-2021 Gowin Semiconductor Technology Co.,Ltd.
 * 		
 * @file		gw_ahb.c
 * @author		HK Gowin
 * @version		V1.0.0
 * @date		2021-01-01 09:00:00
 * @brief		Gowin ISP MCU Demo
 *
 ******************************************************************************************
 */
 
/* Includes ------------------------------------------------------------------*/
#include "gw_ahb.h"

/* -------------------------- AHB ---------------------------- */
void reg_write(uint32_t base_addr, uint32_t offset, uint32_t value)
{
    volatile uint32_t* value_addr = (uint32_t*) (base_addr + offset);
    *value_addr = value;
}

uint32_t reg_read(uint32_t base_addr, uint32_t offset)
{
    volatile uint32_t* value_addr = (uint32_t*) (base_addr + offset);
    return *value_addr;
}

void AHB_Init(AHB_t* core, uint32_t base_addr)
{
    core->base_addr = base_addr;
}

void AHB_WriteData(AHB_t* core, uint32_t addr, uint32_t value)
{
    reg_write(core->base_addr, addr, value);
}

uint32_t AHB_ReadData(AHB_t* core, uint32_t addr)
{
    return (uint32_t) reg_read(core->base_addr, addr);
}

