/*
 ******************************************************************************************
 *
 * 	Copyright (C) 2014-2021 Gowin Semiconductor Technology Co.,Ltd.
 * 		
 * @file		gw_ahb.h
 * @author		HK Gowin
 * @version		V1.0.0
 * @date		2021-01-01 09:00:00
 * @brief		Gowin ISP MCU Demo
 *
 ******************************************************************************************
 */

#ifndef GW_AHB_H
#define GW_AHB_H

/* Includes ---------------------------------------------------------*/
#include "GOWIN_M1.h"


/* -------------------------- AHB Define---------------------------- */
#define AHB_BaseAddr 			AHB_M1


#pragma pack(push, 1)			//自定义结构体中的成员为按1字节对齐
typedef struct{
    uint32_t base_addr;
}AHB_t;
#pragma pack(pop)				//取消自定义字节对齐方式


/* -------------------------- AHB function---------------------------- */
void reg_write(uint32_t base_addr, uint32_t offset, uint32_t value);
uint32_t reg_read(uint32_t base_addr, uint32_t offset);
void AHB_Init(AHB_t* core, uint32_t base_addr);
void AHB_WriteData(AHB_t* core, uint32_t addr, uint32_t value);
uint32_t AHB_ReadData(AHB_t* core, uint32_t addr);


#endif
