/*
 ******************************************************************************************
 *
 * 	Copyright (C) 2014-2021 Gowin Semiconductor Technology Co.,Ltd.
 * 		
 * @file		gw_isp_param.h
 * @author		HK Gowin
 * @version		V1.0.0
 * @date		2021-01-01 09:00:00
 * @brief		Gowin ISP MCU Demo
 *
 ******************************************************************************************
 */

#ifndef GW_ISP_PARAM_H
#define GW_ISP_PARAM_H

/* Includes ---------------------------------------------------------*/
#include <stdint.h>

/* Parameter ---------------------------------------------------------*/
// --- ISP sym
#define IMG_HEIGHT				480
#define IMG_WIDTH				800
#define IMG_HEIGHT_MAX			1080
#define IMG_WIDTH_MAX			1920
	
// --- Sensor Camera	
#define CAM_AWB_EN 	 	 		1
#define CAM_AWB_R 	 	 		0x0400
#define CAM_AWB_G 	 	 		0x0400
#define CAM_AWB_B   	 		0x0400
#define CAM_AGC_EN  	 		1
#define CAM_AGC_GAIN 	 		0x005F
#define CAM_AEC_EN  	 		1
#define CAM_AEC_EXPOSRUE 	 	0x1FFF
	
// --- ISP CCM	
#define CCM_K11					0x0000142D
#define CCM_K12					0xFFFFFC4C
#define CCM_K13					0x000001A5
#define CCM_K21					0xFFFFFF89
#define CCM_K22					0x000015B6
#define CCM_K23					0xFFFFF760
#define CCM_K31					0x00000109
#define CCM_K32					0x000000DA
#define CCM_K33					0x000019B8
#define CCM_O1 					0xFFFB57B5
#define CCM_O2 					0xFFFB1BB5
#define CCM_O3 					0xFFFB691D


#endif
